.. _arduino_esp_littlefs:

====================
Arduino ESP littlefs
====================

LittleFS is a little fail-safe filesystem designed for microcontrollers and integrated in the Arduino framework
when used with ESP32 and ESP8266.

For a detailed introduction, see:

- https://github.com/esp8266/Arduino
- https://github.com/espressif/arduino-esp32


Usage
*****

Enable :c:macro:`LV_USE_FS_ARDUINO_ESP_LITTLEFS` and define a :c:macro:`LV_FS_ARDUINO_ESP_LITTLEFS_LETTER` in ``lv_conf.h``.


API
***
